:root {
  --black: #000505ff;
  --space-cadet: #3b3355ff;
  --ultra-violet: #5d5d81ff;
  --columbia-blue: #bfcde0ff;
  --white: #fefcfdff;
}
* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}
body {
  font-family: "Manrope", sans-serif;
  line-height: 1.5;
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: var(--columbia-blue);
}
input, button {
  font: inherit;
  outline: none;
}
.container {
  border-radius: 0.4rem;
  box-shadow: 0 3px 0 3px var(--black);
  overflow: hidden;
  max-width: 300px;
  width: 90%;
  margin-inline: auto;
}
.calculator {
  padding: 1.6rem 1.2rem;
  background-color: var(--space-cadet);
}
.screen input {
  border-top: 2px solid var(--ultra-violet);
  border-right: 2px solid var(--white);
  border-bottom: 3px solid var(--ultra-violet);
  border-left: 3px solid var(--white);
  border-radius: 0.4rem;
  width: 100%;
  text-align: right;
  font-size: 3rem;
  background-color: var(--columbia-blue);
}
.solar-panel {
  background-color: var(--black);
  margin-bottom: 0.8rem;
  width: 100px;
  border-left: 3px solid var(--ultra-violet);
  border-right: 3px solid var(--ultra-violet);
  margin-left: auto;
}
.buttons {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 1rem;
  padding: 1rem 0.2rem;
  font-size: 1.6rem;
}
.buttons button {
  color: var(--white);
  background-color: var(--ultra-violet);
  border: none;
  border-radius: 0.2rem;
  cursor: pointer;
  box-shadow: 0 2px 0 2px var(--black);
  transition: all 0.1s ease-in;
}
.buttons button:hover {
  transform: scale(0.95);
}
.buttons button:last-child {
  grid-column: span 2;
}
.buttons button:nth-child(1) {
  color: var(--black);
  background-color: var(--columbia-blue);
}
.buttons button:nth-child(2) {
  color: var(--black);
  background-color: var(--columbia-blue);
}
